/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/
#ifndef __PLUGIN_HEADER_INCLUDED__
#define __PLUGIN_HEADER_INCLUDED__

/* Plugin descriptor */
struct plugin_desc {
	size_t size;
	const char *name;
	const char *desc;
	const char *author_name;
	const char *author_email;
	short ver_major;
	short ver_minor;
	void (*init)(void);
	void (*fini)(void);
};

#endif /* __PLUGIN_HEADER_INCLUDED__ */
