/*
* This file is part of dotscara
* Copyright (c) 2003 Gianni Tedesco
* Released under the terms of the GNU GPL version 2
*/

#include <stdlib.h>
#include <string.h>
#include <errno.h>

#include <dotscara/dotscara.h>
#include <dotscara/sys.h>

int __public sys_errno(void)
{
	return errno;
}

const char __public *sys_error(int e)
{
	return strerror(e);
}

const char __public *sys_err(void)
{
	return strerror(errno);
}

const char __public *sys_err2(const char *def)
{
	if ( def == NULL )
		def = "Internal Error";
	return (errno ? strerror(errno) : def);
}
