/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/
#ifndef __EXPORTER_HEADER_INCLUDED__
#define __EXPORTER_HEADER_INCLUDED__

struct exporter {
	int (*queue)(struct sink *s, struct packet *pkt);
	int (*init)(struct sink *s, const char *args);
	int (*free)(struct sink *s);
	const char		*name;
	const char		*desc;
	struct arg		*args;
	struct exporter		*next;
};

struct exporter *exporter_find(const char *);
void exporter_load(void);

#endif /* __EXPORTER_HEADER_INCLUDED__ */
