/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/
#ifndef __PARSER_HEADER_INCLUDED__
#define __PARSER_HEADER_INCLUDED__

typedef int (*proc_parser_run)(const char *);

struct parser {
	const char	*name;
	proc_parser_run	load_file;
	struct parser	*next;
};

void parser_load(void);
int parser_setup(const char *, const char *) __nonull(1);

#endif /* __PARSER_HEADER_INCLUDED__ */
